ReplaceableToken (social-util-library 1.5.0-SNAPSHOT API)
Date: 2019-03-29

org.gcube.socialnetworking.socialtoken

## Class ReplaceableToken

- java.lang.Object
- - org.gcube.socialnetworking.tokenization.Token
  - - org.gcube.socialnetworking.socialtoken.ReplaceableToken

- Direct Known Subclasses:
    HashTagToken, URLToken

      public class ReplaceableToken
      extends Token

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `replaced`
    `protected String` | `tokenReplacement`

    - ### Fields inherited from class org.gcube.socialnetworking.tokenization.Token

      `delimiter, end, start, token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplaceableToken(String token, String delimiter, int start, int end)`
    `ReplaceableToken(Token token)`
    `ReplaceableToken(Token token, String tokenReplacement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `createHref(String baseURL, String attributeName, String attributeValue)`
    `static String` | `createLink(String linkTarget, String linkValue, Map<String,String> additionalAttributes)`
    `String` | `getDelimiter()`
    `String` | `getTokenReplacement()`

    - ### Methods inherited from class org.gcube.socialnetworking.tokenization.Token

      `getEnd, getStart, getToken, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### replaced

          protected boolean replaced

    - #### tokenReplacement

          protected String tokenReplacement

  - ### Constructor Detail

    - #### ReplaceableToken

          public ReplaceableToken(String token,
                          String delimiter,
                          int start,
                          int end)

    - #### ReplaceableToken

          public ReplaceableToken(Token token)

    - #### ReplaceableToken

          public ReplaceableToken(Token token,
                          String tokenReplacement)

  - ### Method Detail

    - #### createHref

          public static String createHref(String baseURL,
                          String attributeName,
                          String attributeValue)

    - #### createLink

          public static String createLink(String linkTarget,
                          String linkValue,
                          Map<String,String> additionalAttributes)

    - #### getDelimiter

          public String getDelimiter()

      Overrides:
        `getDelimiter` in class `Token`

    - #### getTokenReplacement

          public String getTokenReplacement()

Copyright © 2019. All Rights Reserved.